IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network3.64.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
- Network address
3.64.0.0- Broadcast address
3.95.255.255- First usable
3.64.0.1- Last usable
3.95.255.254- Usable hosts
- 2,097,150 (2,097,152 less the network and broadcast addresses)
- Subnet mask
255.224.0.0- Wildcard mask
0.31.255.255(Cisco ACLs, OSPF)- Prefix length
- /11
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
03400000· Integer54525952to56623103 - Reverse DNS zones
64.3.in-addr.arpa65.3.in-addr.arpa66.3.in-addr.arpa67.3.in-addr.arpa68.3.in-addr.arpa69.3.in-addr.arpa70.3.in-addr.arpa71.3.in-addr.arpa72.3.in-addr.arpa73.3.in-addr.arpa74.3.in-addr.arpa75.3.in-addr.arpa76.3.in-addr.arpa77.3.in-addr.arpa78.3.in-addr.arpa79.3.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000011.01000000.00000000.00000000 | 3.64.0.0 |
| Subnet mask | 11111111.11100000.00000000.00000000 | 255.224.0.0 |
| Network | 00000011.01000000.00000000.00000000 | 3.64.0.0 |
| Broadcast | 00000011.01011111.11111111.11111111 | 3.95.255.255 |
Split into smaller subnets
/12 (2)/13 (4)/14 (8)/15 (16)/16 (32)/17 (64)/18 (128)/19 (256)/20 (512)/21 (1,024)/22 (2,048)/23 (4,096)
3.64.0.0/11 makes 256 subnets of /19.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 3.64.0.0/19 | 3.64.0.1 to 3.64.31.254 | 3.64.31.255 | 8,190 |
| 2 | 3.64.32.0/19 | 3.64.32.1 to 3.64.63.254 | 3.64.63.255 | 8,190 |
| 3 | 3.64.64.0/19 | 3.64.64.1 to 3.64.95.254 | 3.64.95.255 | 8,190 |
| 4 | 3.64.96.0/19 | 3.64.96.1 to 3.64.127.254 | 3.64.127.255 | 8,190 |
| 5 | 3.64.128.0/19 | 3.64.128.1 to 3.64.159.254 | 3.64.159.255 | 8,190 |
| 6 | 3.64.160.0/19 | 3.64.160.1 to 3.64.191.254 | 3.64.191.255 | 8,190 |
| 7 | 3.64.192.0/19 | 3.64.192.1 to 3.64.223.254 | 3.64.223.255 | 8,190 |
| 8 | 3.64.224.0/19 | 3.64.224.1 to 3.64.255.254 | 3.64.255.255 | 8,190 |
| 9 | 3.65.0.0/19 | 3.65.0.1 to 3.65.31.254 | 3.65.31.255 | 8,190 |
| 10 | 3.65.32.0/19 | 3.65.32.1 to 3.65.63.254 | 3.65.63.255 | 8,190 |
| 11 | 3.65.64.0/19 | 3.65.64.1 to 3.65.95.254 | 3.65.95.255 | 8,190 |
| 12 | 3.65.96.0/19 | 3.65.96.1 to 3.65.127.254 | 3.65.127.255 | 8,190 |
| 13 | 3.65.128.0/19 | 3.65.128.1 to 3.65.159.254 | 3.65.159.255 | 8,190 |
| 14 | 3.65.160.0/19 | 3.65.160.1 to 3.65.191.254 | 3.65.191.255 | 8,190 |
| 15 | 3.65.192.0/19 | 3.65.192.1 to 3.65.223.254 | 3.65.223.255 | 8,190 |
| 16 | 3.65.224.0/19 | 3.65.224.1 to 3.65.255.254 | 3.65.255.255 | 8,190 |
| 17 | 3.66.0.0/19 | 3.66.0.1 to 3.66.31.254 | 3.66.31.255 | 8,190 |
| 18 | 3.66.32.0/19 | 3.66.32.1 to 3.66.63.254 | 3.66.63.255 | 8,190 |
| 19 | 3.66.64.0/19 | 3.66.64.1 to 3.66.95.254 | 3.66.95.255 | 8,190 |
| 20 | 3.66.96.0/19 | 3.66.96.1 to 3.66.127.254 | 3.66.127.255 | 8,190 |
| 21 | 3.66.128.0/19 | 3.66.128.1 to 3.66.159.254 | 3.66.159.255 | 8,190 |
| 22 | 3.66.160.0/19 | 3.66.160.1 to 3.66.191.254 | 3.66.191.255 | 8,190 |
| 23 | 3.66.192.0/19 | 3.66.192.1 to 3.66.223.254 | 3.66.223.255 | 8,190 |
| 24 | 3.66.224.0/19 | 3.66.224.1 to 3.66.255.254 | 3.66.255.255 | 8,190 |
| 25 | 3.67.0.0/19 | 3.67.0.1 to 3.67.31.254 | 3.67.31.255 | 8,190 |
| 26 | 3.67.32.0/19 | 3.67.32.1 to 3.67.63.254 | 3.67.63.255 | 8,190 |
| 27 | 3.67.64.0/19 | 3.67.64.1 to 3.67.95.254 | 3.67.95.255 | 8,190 |
| 28 | 3.67.96.0/19 | 3.67.96.1 to 3.67.127.254 | 3.67.127.255 | 8,190 |
| 29 | 3.67.128.0/19 | 3.67.128.1 to 3.67.159.254 | 3.67.159.255 | 8,190 |
| 30 | 3.67.160.0/19 | 3.67.160.1 to 3.67.191.254 | 3.67.191.255 | 8,190 |
| 31 | 3.67.192.0/19 | 3.67.192.1 to 3.67.223.254 | 3.67.223.255 | 8,190 |
| 32 | 3.67.224.0/19 | 3.67.224.1 to 3.67.255.254 | 3.67.255.255 | 8,190 |
| 33 | 3.68.0.0/19 | 3.68.0.1 to 3.68.31.254 | 3.68.31.255 | 8,190 |
| 34 | 3.68.32.0/19 | 3.68.32.1 to 3.68.63.254 | 3.68.63.255 | 8,190 |
| 35 | 3.68.64.0/19 | 3.68.64.1 to 3.68.95.254 | 3.68.95.255 | 8,190 |
| 36 | 3.68.96.0/19 | 3.68.96.1 to 3.68.127.254 | 3.68.127.255 | 8,190 |
| 37 | 3.68.128.0/19 | 3.68.128.1 to 3.68.159.254 | 3.68.159.255 | 8,190 |
| 38 | 3.68.160.0/19 | 3.68.160.1 to 3.68.191.254 | 3.68.191.255 | 8,190 |
| 39 | 3.68.192.0/19 | 3.68.192.1 to 3.68.223.254 | 3.68.223.255 | 8,190 |
| 40 | 3.68.224.0/19 | 3.68.224.1 to 3.68.255.254 | 3.68.255.255 | 8,190 |
| 41 | 3.69.0.0/19 | 3.69.0.1 to 3.69.31.254 | 3.69.31.255 | 8,190 |
| 42 | 3.69.32.0/19 | 3.69.32.1 to 3.69.63.254 | 3.69.63.255 | 8,190 |
| 43 | 3.69.64.0/19 | 3.69.64.1 to 3.69.95.254 | 3.69.95.255 | 8,190 |
| 44 | 3.69.96.0/19 | 3.69.96.1 to 3.69.127.254 | 3.69.127.255 | 8,190 |
| 45 | 3.69.128.0/19 | 3.69.128.1 to 3.69.159.254 | 3.69.159.255 | 8,190 |
| 46 | 3.69.160.0/19 | 3.69.160.1 to 3.69.191.254 | 3.69.191.255 | 8,190 |
| 47 | 3.69.192.0/19 | 3.69.192.1 to 3.69.223.254 | 3.69.223.255 | 8,190 |
| 48 | 3.69.224.0/19 | 3.69.224.1 to 3.69.255.254 | 3.69.255.255 | 8,190 |
| 49 | 3.70.0.0/19 | 3.70.0.1 to 3.70.31.254 | 3.70.31.255 | 8,190 |
| 50 | 3.70.32.0/19 | 3.70.32.1 to 3.70.63.254 | 3.70.63.255 | 8,190 |
| 51 | 3.70.64.0/19 | 3.70.64.1 to 3.70.95.254 | 3.70.95.255 | 8,190 |
| 52 | 3.70.96.0/19 | 3.70.96.1 to 3.70.127.254 | 3.70.127.255 | 8,190 |
| 53 | 3.70.128.0/19 | 3.70.128.1 to 3.70.159.254 | 3.70.159.255 | 8,190 |
| 54 | 3.70.160.0/19 | 3.70.160.1 to 3.70.191.254 | 3.70.191.255 | 8,190 |
| 55 | 3.70.192.0/19 | 3.70.192.1 to 3.70.223.254 | 3.70.223.255 | 8,190 |
| 56 | 3.70.224.0/19 | 3.70.224.1 to 3.70.255.254 | 3.70.255.255 | 8,190 |
| 57 | 3.71.0.0/19 | 3.71.0.1 to 3.71.31.254 | 3.71.31.255 | 8,190 |
| 58 | 3.71.32.0/19 | 3.71.32.1 to 3.71.63.254 | 3.71.63.255 | 8,190 |
| 59 | 3.71.64.0/19 | 3.71.64.1 to 3.71.95.254 | 3.71.95.255 | 8,190 |
| 60 | 3.71.96.0/19 | 3.71.96.1 to 3.71.127.254 | 3.71.127.255 | 8,190 |
| 61 | 3.71.128.0/19 | 3.71.128.1 to 3.71.159.254 | 3.71.159.255 | 8,190 |
| 62 | 3.71.160.0/19 | 3.71.160.1 to 3.71.191.254 | 3.71.191.255 | 8,190 |
| 63 | 3.71.192.0/19 | 3.71.192.1 to 3.71.223.254 | 3.71.223.255 | 8,190 |
| 64 | 3.71.224.0/19 | 3.71.224.1 to 3.71.255.254 | 3.71.255.255 | 8,190 |
| 65 | 3.72.0.0/19 | 3.72.0.1 to 3.72.31.254 | 3.72.31.255 | 8,190 |
| 66 | 3.72.32.0/19 | 3.72.32.1 to 3.72.63.254 | 3.72.63.255 | 8,190 |
| 67 | 3.72.64.0/19 | 3.72.64.1 to 3.72.95.254 | 3.72.95.255 | 8,190 |
| 68 | 3.72.96.0/19 | 3.72.96.1 to 3.72.127.254 | 3.72.127.255 | 8,190 |
| 69 | 3.72.128.0/19 | 3.72.128.1 to 3.72.159.254 | 3.72.159.255 | 8,190 |
| 70 | 3.72.160.0/19 | 3.72.160.1 to 3.72.191.254 | 3.72.191.255 | 8,190 |
| 71 | 3.72.192.0/19 | 3.72.192.1 to 3.72.223.254 | 3.72.223.255 | 8,190 |
| 72 | 3.72.224.0/19 | 3.72.224.1 to 3.72.255.254 | 3.72.255.255 | 8,190 |
| 73 | 3.73.0.0/19 | 3.73.0.1 to 3.73.31.254 | 3.73.31.255 | 8,190 |
| 74 | 3.73.32.0/19 | 3.73.32.1 to 3.73.63.254 | 3.73.63.255 | 8,190 |
| 75 | 3.73.64.0/19 | 3.73.64.1 to 3.73.95.254 | 3.73.95.255 | 8,190 |
| 76 | 3.73.96.0/19 | 3.73.96.1 to 3.73.127.254 | 3.73.127.255 | 8,190 |
| 77 | 3.73.128.0/19 | 3.73.128.1 to 3.73.159.254 | 3.73.159.255 | 8,190 |
| 78 | 3.73.160.0/19 | 3.73.160.1 to 3.73.191.254 | 3.73.191.255 | 8,190 |
| 79 | 3.73.192.0/19 | 3.73.192.1 to 3.73.223.254 | 3.73.223.255 | 8,190 |
| 80 | 3.73.224.0/19 | 3.73.224.1 to 3.73.255.254 | 3.73.255.255 | 8,190 |
| 81 | 3.74.0.0/19 | 3.74.0.1 to 3.74.31.254 | 3.74.31.255 | 8,190 |
| 82 | 3.74.32.0/19 | 3.74.32.1 to 3.74.63.254 | 3.74.63.255 | 8,190 |
| 83 | 3.74.64.0/19 | 3.74.64.1 to 3.74.95.254 | 3.74.95.255 | 8,190 |
| 84 | 3.74.96.0/19 | 3.74.96.1 to 3.74.127.254 | 3.74.127.255 | 8,190 |
| 85 | 3.74.128.0/19 | 3.74.128.1 to 3.74.159.254 | 3.74.159.255 | 8,190 |
| 86 | 3.74.160.0/19 | 3.74.160.1 to 3.74.191.254 | 3.74.191.255 | 8,190 |
| 87 | 3.74.192.0/19 | 3.74.192.1 to 3.74.223.254 | 3.74.223.255 | 8,190 |
| 88 | 3.74.224.0/19 | 3.74.224.1 to 3.74.255.254 | 3.74.255.255 | 8,190 |
| 89 | 3.75.0.0/19 | 3.75.0.1 to 3.75.31.254 | 3.75.31.255 | 8,190 |
| 90 | 3.75.32.0/19 | 3.75.32.1 to 3.75.63.254 | 3.75.63.255 | 8,190 |
| 91 | 3.75.64.0/19 | 3.75.64.1 to 3.75.95.254 | 3.75.95.255 | 8,190 |
| 92 | 3.75.96.0/19 | 3.75.96.1 to 3.75.127.254 | 3.75.127.255 | 8,190 |
| 93 | 3.75.128.0/19 | 3.75.128.1 to 3.75.159.254 | 3.75.159.255 | 8,190 |
| 94 | 3.75.160.0/19 | 3.75.160.1 to 3.75.191.254 | 3.75.191.255 | 8,190 |
| 95 | 3.75.192.0/19 | 3.75.192.1 to 3.75.223.254 | 3.75.223.255 | 8,190 |
| 96 | 3.75.224.0/19 | 3.75.224.1 to 3.75.255.254 | 3.75.255.255 | 8,190 |
| 97 | 3.76.0.0/19 | 3.76.0.1 to 3.76.31.254 | 3.76.31.255 | 8,190 |
| 98 | 3.76.32.0/19 | 3.76.32.1 to 3.76.63.254 | 3.76.63.255 | 8,190 |
| 99 | 3.76.64.0/19 | 3.76.64.1 to 3.76.95.254 | 3.76.95.255 | 8,190 |
| 100 | 3.76.96.0/19 | 3.76.96.1 to 3.76.127.254 | 3.76.127.255 | 8,190 |
| 101 | 3.76.128.0/19 | 3.76.128.1 to 3.76.159.254 | 3.76.159.255 | 8,190 |
| 102 | 3.76.160.0/19 | 3.76.160.1 to 3.76.191.254 | 3.76.191.255 | 8,190 |
| 103 | 3.76.192.0/19 | 3.76.192.1 to 3.76.223.254 | 3.76.223.255 | 8,190 |
| 104 | 3.76.224.0/19 | 3.76.224.1 to 3.76.255.254 | 3.76.255.255 | 8,190 |
| 105 | 3.77.0.0/19 | 3.77.0.1 to 3.77.31.254 | 3.77.31.255 | 8,190 |
| 106 | 3.77.32.0/19 | 3.77.32.1 to 3.77.63.254 | 3.77.63.255 | 8,190 |
| 107 | 3.77.64.0/19 | 3.77.64.1 to 3.77.95.254 | 3.77.95.255 | 8,190 |
| 108 | 3.77.96.0/19 | 3.77.96.1 to 3.77.127.254 | 3.77.127.255 | 8,190 |
| 109 | 3.77.128.0/19 | 3.77.128.1 to 3.77.159.254 | 3.77.159.255 | 8,190 |
| 110 | 3.77.160.0/19 | 3.77.160.1 to 3.77.191.254 | 3.77.191.255 | 8,190 |
| 111 | 3.77.192.0/19 | 3.77.192.1 to 3.77.223.254 | 3.77.223.255 | 8,190 |
| 112 | 3.77.224.0/19 | 3.77.224.1 to 3.77.255.254 | 3.77.255.255 | 8,190 |
| 113 | 3.78.0.0/19 | 3.78.0.1 to 3.78.31.254 | 3.78.31.255 | 8,190 |
| 114 | 3.78.32.0/19 | 3.78.32.1 to 3.78.63.254 | 3.78.63.255 | 8,190 |
| 115 | 3.78.64.0/19 | 3.78.64.1 to 3.78.95.254 | 3.78.95.255 | 8,190 |
| 116 | 3.78.96.0/19 | 3.78.96.1 to 3.78.127.254 | 3.78.127.255 | 8,190 |
| 117 | 3.78.128.0/19 | 3.78.128.1 to 3.78.159.254 | 3.78.159.255 | 8,190 |
| 118 | 3.78.160.0/19 | 3.78.160.1 to 3.78.191.254 | 3.78.191.255 | 8,190 |
| 119 | 3.78.192.0/19 | 3.78.192.1 to 3.78.223.254 | 3.78.223.255 | 8,190 |
| 120 | 3.78.224.0/19 | 3.78.224.1 to 3.78.255.254 | 3.78.255.255 | 8,190 |
| 121 | 3.79.0.0/19 | 3.79.0.1 to 3.79.31.254 | 3.79.31.255 | 8,190 |
| 122 | 3.79.32.0/19 | 3.79.32.1 to 3.79.63.254 | 3.79.63.255 | 8,190 |
| 123 | 3.79.64.0/19 | 3.79.64.1 to 3.79.95.254 | 3.79.95.255 | 8,190 |
| 124 | 3.79.96.0/19 | 3.79.96.1 to 3.79.127.254 | 3.79.127.255 | 8,190 |
| 125 | 3.79.128.0/19 | 3.79.128.1 to 3.79.159.254 | 3.79.159.255 | 8,190 |
| 126 | 3.79.160.0/19 | 3.79.160.1 to 3.79.191.254 | 3.79.191.255 | 8,190 |
| 127 | 3.79.192.0/19 | 3.79.192.1 to 3.79.223.254 | 3.79.223.255 | 8,190 |
| 128 | 3.79.224.0/19 | 3.79.224.1 to 3.79.255.254 | 3.79.255.255 | 8,190 |
| 129 | 3.80.0.0/19 | 3.80.0.1 to 3.80.31.254 | 3.80.31.255 | 8,190 |
| 130 | 3.80.32.0/19 | 3.80.32.1 to 3.80.63.254 | 3.80.63.255 | 8,190 |
| 131 | 3.80.64.0/19 | 3.80.64.1 to 3.80.95.254 | 3.80.95.255 | 8,190 |
| 132 | 3.80.96.0/19 | 3.80.96.1 to 3.80.127.254 | 3.80.127.255 | 8,190 |
| 133 | 3.80.128.0/19 | 3.80.128.1 to 3.80.159.254 | 3.80.159.255 | 8,190 |
| 134 | 3.80.160.0/19 | 3.80.160.1 to 3.80.191.254 | 3.80.191.255 | 8,190 |
| 135 | 3.80.192.0/19 | 3.80.192.1 to 3.80.223.254 | 3.80.223.255 | 8,190 |
| 136 | 3.80.224.0/19 | 3.80.224.1 to 3.80.255.254 | 3.80.255.255 | 8,190 |
| 137 | 3.81.0.0/19 | 3.81.0.1 to 3.81.31.254 | 3.81.31.255 | 8,190 |
| 138 | 3.81.32.0/19 | 3.81.32.1 to 3.81.63.254 | 3.81.63.255 | 8,190 |
| 139 | 3.81.64.0/19 | 3.81.64.1 to 3.81.95.254 | 3.81.95.255 | 8,190 |
| 140 | 3.81.96.0/19 | 3.81.96.1 to 3.81.127.254 | 3.81.127.255 | 8,190 |
| 141 | 3.81.128.0/19 | 3.81.128.1 to 3.81.159.254 | 3.81.159.255 | 8,190 |
| 142 | 3.81.160.0/19 | 3.81.160.1 to 3.81.191.254 | 3.81.191.255 | 8,190 |
| 143 | 3.81.192.0/19 | 3.81.192.1 to 3.81.223.254 | 3.81.223.255 | 8,190 |
| 144 | 3.81.224.0/19 | 3.81.224.1 to 3.81.255.254 | 3.81.255.255 | 8,190 |
| 145 | 3.82.0.0/19 | 3.82.0.1 to 3.82.31.254 | 3.82.31.255 | 8,190 |
| 146 | 3.82.32.0/19 | 3.82.32.1 to 3.82.63.254 | 3.82.63.255 | 8,190 |
| 147 | 3.82.64.0/19 | 3.82.64.1 to 3.82.95.254 | 3.82.95.255 | 8,190 |
| 148 | 3.82.96.0/19 | 3.82.96.1 to 3.82.127.254 | 3.82.127.255 | 8,190 |
| 149 | 3.82.128.0/19 | 3.82.128.1 to 3.82.159.254 | 3.82.159.255 | 8,190 |
| 150 | 3.82.160.0/19 | 3.82.160.1 to 3.82.191.254 | 3.82.191.255 | 8,190 |
| 151 | 3.82.192.0/19 | 3.82.192.1 to 3.82.223.254 | 3.82.223.255 | 8,190 |
| 152 | 3.82.224.0/19 | 3.82.224.1 to 3.82.255.254 | 3.82.255.255 | 8,190 |
| 153 | 3.83.0.0/19 | 3.83.0.1 to 3.83.31.254 | 3.83.31.255 | 8,190 |
| 154 | 3.83.32.0/19 | 3.83.32.1 to 3.83.63.254 | 3.83.63.255 | 8,190 |
| 155 | 3.83.64.0/19 | 3.83.64.1 to 3.83.95.254 | 3.83.95.255 | 8,190 |
| 156 | 3.83.96.0/19 | 3.83.96.1 to 3.83.127.254 | 3.83.127.255 | 8,190 |
| 157 | 3.83.128.0/19 | 3.83.128.1 to 3.83.159.254 | 3.83.159.255 | 8,190 |
| 158 | 3.83.160.0/19 | 3.83.160.1 to 3.83.191.254 | 3.83.191.255 | 8,190 |
| 159 | 3.83.192.0/19 | 3.83.192.1 to 3.83.223.254 | 3.83.223.255 | 8,190 |
| 160 | 3.83.224.0/19 | 3.83.224.1 to 3.83.255.254 | 3.83.255.255 | 8,190 |
| 161 | 3.84.0.0/19 | 3.84.0.1 to 3.84.31.254 | 3.84.31.255 | 8,190 |
| 162 | 3.84.32.0/19 | 3.84.32.1 to 3.84.63.254 | 3.84.63.255 | 8,190 |
| 163 | 3.84.64.0/19 | 3.84.64.1 to 3.84.95.254 | 3.84.95.255 | 8,190 |
| 164 | 3.84.96.0/19 | 3.84.96.1 to 3.84.127.254 | 3.84.127.255 | 8,190 |
| 165 | 3.84.128.0/19 | 3.84.128.1 to 3.84.159.254 | 3.84.159.255 | 8,190 |
| 166 | 3.84.160.0/19 | 3.84.160.1 to 3.84.191.254 | 3.84.191.255 | 8,190 |
| 167 | 3.84.192.0/19 | 3.84.192.1 to 3.84.223.254 | 3.84.223.255 | 8,190 |
| 168 | 3.84.224.0/19 | 3.84.224.1 to 3.84.255.254 | 3.84.255.255 | 8,190 |
| 169 | 3.85.0.0/19 | 3.85.0.1 to 3.85.31.254 | 3.85.31.255 | 8,190 |
| 170 | 3.85.32.0/19 | 3.85.32.1 to 3.85.63.254 | 3.85.63.255 | 8,190 |
| 171 | 3.85.64.0/19 | 3.85.64.1 to 3.85.95.254 | 3.85.95.255 | 8,190 |
| 172 | 3.85.96.0/19 | 3.85.96.1 to 3.85.127.254 | 3.85.127.255 | 8,190 |
| 173 | 3.85.128.0/19 | 3.85.128.1 to 3.85.159.254 | 3.85.159.255 | 8,190 |
| 174 | 3.85.160.0/19 | 3.85.160.1 to 3.85.191.254 | 3.85.191.255 | 8,190 |
| 175 | 3.85.192.0/19 | 3.85.192.1 to 3.85.223.254 | 3.85.223.255 | 8,190 |
| 176 | 3.85.224.0/19 | 3.85.224.1 to 3.85.255.254 | 3.85.255.255 | 8,190 |
| 177 | 3.86.0.0/19 | 3.86.0.1 to 3.86.31.254 | 3.86.31.255 | 8,190 |
| 178 | 3.86.32.0/19 | 3.86.32.1 to 3.86.63.254 | 3.86.63.255 | 8,190 |
| 179 | 3.86.64.0/19 | 3.86.64.1 to 3.86.95.254 | 3.86.95.255 | 8,190 |
| 180 | 3.86.96.0/19 | 3.86.96.1 to 3.86.127.254 | 3.86.127.255 | 8,190 |
| 181 | 3.86.128.0/19 | 3.86.128.1 to 3.86.159.254 | 3.86.159.255 | 8,190 |
| 182 | 3.86.160.0/19 | 3.86.160.1 to 3.86.191.254 | 3.86.191.255 | 8,190 |
| 183 | 3.86.192.0/19 | 3.86.192.1 to 3.86.223.254 | 3.86.223.255 | 8,190 |
| 184 | 3.86.224.0/19 | 3.86.224.1 to 3.86.255.254 | 3.86.255.255 | 8,190 |
| 185 | 3.87.0.0/19 | 3.87.0.1 to 3.87.31.254 | 3.87.31.255 | 8,190 |
| 186 | 3.87.32.0/19 | 3.87.32.1 to 3.87.63.254 | 3.87.63.255 | 8,190 |
| 187 | 3.87.64.0/19 | 3.87.64.1 to 3.87.95.254 | 3.87.95.255 | 8,190 |
| 188 | 3.87.96.0/19 | 3.87.96.1 to 3.87.127.254 | 3.87.127.255 | 8,190 |
| 189 | 3.87.128.0/19 | 3.87.128.1 to 3.87.159.254 | 3.87.159.255 | 8,190 |
| 190 | 3.87.160.0/19 | 3.87.160.1 to 3.87.191.254 | 3.87.191.255 | 8,190 |
| 191 | 3.87.192.0/19 | 3.87.192.1 to 3.87.223.254 | 3.87.223.255 | 8,190 |
| 192 | 3.87.224.0/19 | 3.87.224.1 to 3.87.255.254 | 3.87.255.255 | 8,190 |
| 193 | 3.88.0.0/19 | 3.88.0.1 to 3.88.31.254 | 3.88.31.255 | 8,190 |
| 194 | 3.88.32.0/19 | 3.88.32.1 to 3.88.63.254 | 3.88.63.255 | 8,190 |
| 195 | 3.88.64.0/19 | 3.88.64.1 to 3.88.95.254 | 3.88.95.255 | 8,190 |
| 196 | 3.88.96.0/19 | 3.88.96.1 to 3.88.127.254 | 3.88.127.255 | 8,190 |
| 197 | 3.88.128.0/19 | 3.88.128.1 to 3.88.159.254 | 3.88.159.255 | 8,190 |
| 198 | 3.88.160.0/19 | 3.88.160.1 to 3.88.191.254 | 3.88.191.255 | 8,190 |
| 199 | 3.88.192.0/19 | 3.88.192.1 to 3.88.223.254 | 3.88.223.255 | 8,190 |
| 200 | 3.88.224.0/19 | 3.88.224.1 to 3.88.255.254 | 3.88.255.255 | 8,190 |
| 201 | 3.89.0.0/19 | 3.89.0.1 to 3.89.31.254 | 3.89.31.255 | 8,190 |
| 202 | 3.89.32.0/19 | 3.89.32.1 to 3.89.63.254 | 3.89.63.255 | 8,190 |
| 203 | 3.89.64.0/19 | 3.89.64.1 to 3.89.95.254 | 3.89.95.255 | 8,190 |
| 204 | 3.89.96.0/19 | 3.89.96.1 to 3.89.127.254 | 3.89.127.255 | 8,190 |
| 205 | 3.89.128.0/19 | 3.89.128.1 to 3.89.159.254 | 3.89.159.255 | 8,190 |
| 206 | 3.89.160.0/19 | 3.89.160.1 to 3.89.191.254 | 3.89.191.255 | 8,190 |
| 207 | 3.89.192.0/19 | 3.89.192.1 to 3.89.223.254 | 3.89.223.255 | 8,190 |
| 208 | 3.89.224.0/19 | 3.89.224.1 to 3.89.255.254 | 3.89.255.255 | 8,190 |
| 209 | 3.90.0.0/19 | 3.90.0.1 to 3.90.31.254 | 3.90.31.255 | 8,190 |
| 210 | 3.90.32.0/19 | 3.90.32.1 to 3.90.63.254 | 3.90.63.255 | 8,190 |
| 211 | 3.90.64.0/19 | 3.90.64.1 to 3.90.95.254 | 3.90.95.255 | 8,190 |
| 212 | 3.90.96.0/19 | 3.90.96.1 to 3.90.127.254 | 3.90.127.255 | 8,190 |
| 213 | 3.90.128.0/19 | 3.90.128.1 to 3.90.159.254 | 3.90.159.255 | 8,190 |
| 214 | 3.90.160.0/19 | 3.90.160.1 to 3.90.191.254 | 3.90.191.255 | 8,190 |
| 215 | 3.90.192.0/19 | 3.90.192.1 to 3.90.223.254 | 3.90.223.255 | 8,190 |
| 216 | 3.90.224.0/19 | 3.90.224.1 to 3.90.255.254 | 3.90.255.255 | 8,190 |
| 217 | 3.91.0.0/19 | 3.91.0.1 to 3.91.31.254 | 3.91.31.255 | 8,190 |
| 218 | 3.91.32.0/19 | 3.91.32.1 to 3.91.63.254 | 3.91.63.255 | 8,190 |
| 219 | 3.91.64.0/19 | 3.91.64.1 to 3.91.95.254 | 3.91.95.255 | 8,190 |
| 220 | 3.91.96.0/19 | 3.91.96.1 to 3.91.127.254 | 3.91.127.255 | 8,190 |
| 221 | 3.91.128.0/19 | 3.91.128.1 to 3.91.159.254 | 3.91.159.255 | 8,190 |
| 222 | 3.91.160.0/19 | 3.91.160.1 to 3.91.191.254 | 3.91.191.255 | 8,190 |
| 223 | 3.91.192.0/19 | 3.91.192.1 to 3.91.223.254 | 3.91.223.255 | 8,190 |
| 224 | 3.91.224.0/19 | 3.91.224.1 to 3.91.255.254 | 3.91.255.255 | 8,190 |
| 225 | 3.92.0.0/19 | 3.92.0.1 to 3.92.31.254 | 3.92.31.255 | 8,190 |
| 226 | 3.92.32.0/19 | 3.92.32.1 to 3.92.63.254 | 3.92.63.255 | 8,190 |
| 227 | 3.92.64.0/19 | 3.92.64.1 to 3.92.95.254 | 3.92.95.255 | 8,190 |
| 228 | 3.92.96.0/19 | 3.92.96.1 to 3.92.127.254 | 3.92.127.255 | 8,190 |
| 229 | 3.92.128.0/19 | 3.92.128.1 to 3.92.159.254 | 3.92.159.255 | 8,190 |
| 230 | 3.92.160.0/19 | 3.92.160.1 to 3.92.191.254 | 3.92.191.255 | 8,190 |
| 231 | 3.92.192.0/19 | 3.92.192.1 to 3.92.223.254 | 3.92.223.255 | 8,190 |
| 232 | 3.92.224.0/19 | 3.92.224.1 to 3.92.255.254 | 3.92.255.255 | 8,190 |
| 233 | 3.93.0.0/19 | 3.93.0.1 to 3.93.31.254 | 3.93.31.255 | 8,190 |
| 234 | 3.93.32.0/19 | 3.93.32.1 to 3.93.63.254 | 3.93.63.255 | 8,190 |
| 235 | 3.93.64.0/19 | 3.93.64.1 to 3.93.95.254 | 3.93.95.255 | 8,190 |
| 236 | 3.93.96.0/19 | 3.93.96.1 to 3.93.127.254 | 3.93.127.255 | 8,190 |
| 237 | 3.93.128.0/19 | 3.93.128.1 to 3.93.159.254 | 3.93.159.255 | 8,190 |
| 238 | 3.93.160.0/19 | 3.93.160.1 to 3.93.191.254 | 3.93.191.255 | 8,190 |
| 239 | 3.93.192.0/19 | 3.93.192.1 to 3.93.223.254 | 3.93.223.255 | 8,190 |
| 240 | 3.93.224.0/19 | 3.93.224.1 to 3.93.255.254 | 3.93.255.255 | 8,190 |
| 241 | 3.94.0.0/19 | 3.94.0.1 to 3.94.31.254 | 3.94.31.255 | 8,190 |
| 242 | 3.94.32.0/19 | 3.94.32.1 to 3.94.63.254 | 3.94.63.255 | 8,190 |
| 243 | 3.94.64.0/19 | 3.94.64.1 to 3.94.95.254 | 3.94.95.255 | 8,190 |
| 244 | 3.94.96.0/19 | 3.94.96.1 to 3.94.127.254 | 3.94.127.255 | 8,190 |
| 245 | 3.94.128.0/19 | 3.94.128.1 to 3.94.159.254 | 3.94.159.255 | 8,190 |
| 246 | 3.94.160.0/19 | 3.94.160.1 to 3.94.191.254 | 3.94.191.255 | 8,190 |
| 247 | 3.94.192.0/19 | 3.94.192.1 to 3.94.223.254 | 3.94.223.255 | 8,190 |
| 248 | 3.94.224.0/19 | 3.94.224.1 to 3.94.255.254 | 3.94.255.255 | 8,190 |
| 249 | 3.95.0.0/19 | 3.95.0.1 to 3.95.31.254 | 3.95.31.255 | 8,190 |
| 250 | 3.95.32.0/19 | 3.95.32.1 to 3.95.63.254 | 3.95.63.255 | 8,190 |
| 251 | 3.95.64.0/19 | 3.95.64.1 to 3.95.95.254 | 3.95.95.255 | 8,190 |
| 252 | 3.95.96.0/19 | 3.95.96.1 to 3.95.127.254 | 3.95.127.255 | 8,190 |
| 253 | 3.95.128.0/19 | 3.95.128.1 to 3.95.159.254 | 3.95.159.255 | 8,190 |
| 254 | 3.95.160.0/19 | 3.95.160.1 to 3.95.191.254 | 3.95.191.255 | 8,190 |
| 255 | 3.95.192.0/19 | 3.95.192.1 to 3.95.223.254 | 3.95.223.255 | 8,190 |
| 256 | 3.95.224.0/19 | 3.95.224.1 to 3.95.255.254 | 3.95.255.255 | 8,190 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |